Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90	(revision 257)
@@ -1194,193 +1398,7 @@
    !-
    IF(ALLOCATED(throughfall_by_pft))DEALLOCATE(throughfall_by_pft)
-   IF (ALLOCATED(rveg_pft))DEALLOCATE(rveg_pft)
-
+   IF(ALLOCATED(rveg_pft))DEALLOCATE(rveg_pft)
+   
  END SUBROUTINE pft_parameters_clear
-!
-!=
-!
- SUBROUTINE getin_sechiba_pft_parameters
-
-   IMPLICIT NONE
-  
-   LOGICAL, SAVE ::  first_call = .TRUE.
-
-  IF(first_call) THEN
-
-     !----------------------
-     ! Vegetation structure
-     !---------------------
-     !      
-     CALL getin('LLAIMIN',llaimin)
-     CALL getin('TYPE_OF_LAI',type_of_lai)
-     CALL getin('IS_TREE',is_tree)
-     ! No calling to getin for
-     ! veget_ori_fixed_test_1, llaimax and height_presc
-     ! use of setvar in slowproc.f90
-     
-     !-----------------
-     ! Photosynthesis
-     !-----------------
-     !-
-     CALL getin('IS_C4',is_c4)
-     CALL getin('GSSLOPE',gsslope)
-     CALL getin('GSOFFSET',gsoffset)
-     CALL getin('VCMAX_FIX',vcmax_fix)
-     CALL getin('VJMAX_FIX',vjmax_fix)
-     CALL getin('CO2_TMIN_FIX',co2_tmin_fix)
-     CALL getin('CO2_TOPT_FIX',co2_topt_fix)
-     CALL getin('CO2_TMAX_FIX',co2_tmax_fix)
-     CALL getin('EXT_COEFF',ext_coeff)
-     !-------------------------------
-     ! Evapotranspiration -  sechiba
-     !-------------------------------
-     !
-     CALL getin('RSTRUCT_CONST',rstruct_const)
-     CALL getin('KZERO',kzero)
-     CALL getin('RVEG_PFT', rveg_pft)    
-     !---------------------------
-     ! Water-hydrology - sechiba
-     !---------------------------
-     !
-     CALL getin('WMAX_VEG',wmax_veg)
-     CALL getin('HYDROL_HUMCSTE', humcste)
-     CALL getin('PERCENT_TROUGHFALL_PFT',throughfall_by_pft)
-     !------------------
-     ! Albedo - sechiba
-     !------------------
-     !
-     CALL getin('SNOWA_INI',snowa_ini)
-     CALL getin('SNOWA_DEC',snowa_dec)
-     CALL getin('ALB_LEAF_VIS',alb_leaf_vis)
-     CALL getin('ALB_LEAF_NIR',alb_leaf_nir)
-
-     !------------------------
-     !   Soil - vegetation
-     !------------------------ 
-     !
-     CALL getin('PREF_SOIL_VEG_SAND',pref_soil_veg_sand)
-     CALL getin('PREF_SOIL_VEG_LOAN',pref_soil_veg_loan)         
-     CALL getin('PREF_SOIL_VEG_CLAY',pref_soil_veg_clay)
-
-     first_call = .FALSE.
-
-  ENDIF
-
-END SUBROUTINE getin_sechiba_pft_parameters
-!
-!=
-!
-SUBROUTINE getin_stomate_pft_parameters
-
-  IMPLICIT NONE
-
-  LOGICAL, SAVE ::  first_call = .TRUE.
-
-  IF(first_call) THEN
-
-     !----------------------
-     ! Vegetation structure
-     !---------------------
-     !
-     CALL getin('LEAF_TAB',leaf_tab)
-     CALL getin('SLA',sla)
-     CALL getin('NATURAL',natural)
-     !-----------------
-     ! Photosynthesis
-     !-----------------
-     !
-     CALL getin('VCMAX_OPT',vcmax_opt)
-     CALL getin('VJMAX_OPT',vjmax_opt)
-     CALL getin('TPHOTO_MIN_A',tphoto_min_a)
-     CALL getin('TPHOTO_MIN_B',tphoto_min_b)
-     CALL getin('TPHOTO_MIN_C',tphoto_min_c)
-     CALL getin('TPHOTO_OPT_A',tphoto_opt_a)
-     CALL getin('TPHOTO_OPT_B',tphoto_opt_b)
-     CALL getin('TPHOTO_OPT_C',tphoto_opt_c)
-     CALL getin('TPHOTO_MAX_A',tphoto_max_a)
-     CALL getin('TPHOTO_MAX_B',tphoto_max_b)
-     CALL getin('TPHOTO_MAX_C',tphoto_max_c)
-     !----------------------
-     ! Respiration - stomate
-     !----------------------
-     !
-     CALL getin('MAINT_RESP_SLOPE_C',maint_resp_slope_c) 
-     CALL getin('MAINT_RESP_SLOPE_B',maint_resp_slope_b)
-     CALL getin('MAINT_RESP_SLOPE_A',maint_resp_slope_a)
-     CALL getin('CM_ZERO_LEAF',cm_zero_leaf)
-     CALL getin('CM_ZERO_SAPABOVE',cm_zero_sapabove)
-     CALL getin('CM_ZERO_SAPBELOW',cm_zero_sapbelow)
-     CALL getin('CM_ZERO_HEARTABOVE',cm_zero_heartabove)
-     CALL getin('CM_ZERO_HEARTBELOW',cm_zero_heartbelow)
-     CALL getin('CM_ZERO_ROOT',cm_zero_root)
-     CALL getin('CM_ZERO_FRUIT',cm_zero_fruit)
-     CALL getin('CM_ZERO_CARBRES',cm_zero_carbres)
-     
-     !----------------
-     ! Fire - stomate
-     !---------------
-     !
-     CALL getin('FLAM',flam)
-     CALL getin('RESIST',resist)
-     !----------------
-     ! Flux - LUC
-     !---------------
-     !
-     CALL getin('COEFF_LCCHANGE_1',coeff_lcchange_1)
-     CALL getin('COEFF_LCCHANGE_10',coeff_lcchange_10)
-     CALL getin('COEFF_LCCHANGE_100',coeff_lcchange_100)
-
-     !-----------
-     ! Phenology
-     !-----------
-     !-
-     ! 1 .Stomate
-     !-
-     CALL getin('LAI_MAX',lai_max)
-     CALL getin('PHENO_MODEL',pheno_model)
-     CALL getin('PHENO_TYPE',pheno_type)
-     !-
-     ! 2. Leaf Onset
-     !-
-     CALL getin('PHENO_GDD_CRIT_C',pheno_gdd_crit_c)
-     CALL getin('PHENO_GDD_CRIT_B',pheno_gdd_crit_b)
-     CALL getin('PHENO_GDD_CRIT_A',pheno_gdd_crit_a)
-     CALL getin('NGD_CRIT',ngd_crit)
-     CALL getin('NCDGDD_TEMP', ncdgdd_temp)
-     CALL getin('HUM_FRAC', hum_frac)
-     CALL getin('LOWGPP_TIME', lowgpp_time)
-     CALL getin('HUM_MIN_TIME', hum_min_time)
-     CALL getin('TAU_SAP',tau_sap)
-     CALL getin('TAU_FRUIT',tau_fruit)
-     CALL getin('ECUREUIL',ecureuil)
-     CALL getin('ALLOC_MIN',alloc_min)
-     CALL getin('ALLOC_MAX',alloc_max)
-     CALL getin('DEMI_ALLOC',demi_alloc)
-     !-
-     ! 3. Senescence
-     !-
-     CALL getin('LEAFFALL',leaffall)
-     CALL getin('LEAFAGECRIT',leafagecrit)  
-     CALL getin('SENESCENCE_TYPE', senescence_type) 
-     CALL getin('SENESCENCE_HUM', senescence_hum)
-     CALL getin('NOSENESCENCE_HUM', nosenescence_hum) 
-     CALL getin('MAX_TURNOVER_TIME',max_turnover_time)
-     CALL getin('MIN_TURNOVER_TIME',min_turnover_time)
-     CALL getin('MIN_LEAF_AGE_FOR_SENESCENCE', min_leaf_age_for_senescence)
-     CALL getin('SENESCENCE_TEMP_C',senescence_temp_c)
-     CALL getin('SENESCENCE_TEMP_B',senescence_temp_b)
-     CALL getin('SENESCENCE_TEMP_A',senescence_temp_a)
-     !-----------
-     ! DGVM
-     !-----------
-     CALL getin('RESIDENCE_TIME',residence_time)
-     CALL getin('TMIN_CRIT',tmin_crit)
-     CALL getin('TCM_CRIT',tcm_crit)
-
-     first_call = .FALSE.
-       
-  ENDIF
-  
-END SUBROUTINE getin_stomate_pft_parameters
 
 END MODULE pft_parameters
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make	(revision 257)
@@ -1,4 +1,11 @@
 #-
-#- $Id: AA_make,v 1.22 2010/04/20 13:59:56 ssipsl Exp $
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
+#-
+PARALLEL_LIB = $(LIBDIR)/libparallel.a
+SXPARALLEL_LIB = $(PARALLEL_LIB)
+#-Q- sxnec  SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx6nec SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- eshpux SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx8brodie SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
 #-
 PARAM_LIB = $(LIBDIR)/libparameters.a
@@ -8,11 +15,4 @@
 #-Q- eshpux SXPARAM_LIB = $(LIBDIR)/libsxparameters.a
 #-Q- sx8brodie SXPARAM_LIB = $(LIBDIR)/libsxparameters.a
-#-
-PARALLEL_LIB = $(LIBDIR)/libparallel.a
-SXPARALLEL_LIB = $(PARALLEL_LIB)
-#-Q- sxnec  SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- sx6nec SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- eshpux SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- sx8brodie SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
 #-
 ORGLOB_LIB = $(LIBDIR)/liborglob.a
@@ -54,6 +54,7 @@
 #-
 all:
+	$(M_K) libparallel
 	$(M_K) libparameters
-	$(M_K) libparallel
+	$(M_K) liborglob
 	$(M_K) libstomate
 	$(M_K) m_all
@@ -63,9 +64,9 @@
 #-Q- intel m_all: WORK_MOD $(MODEL_LIB)($(OBJSMODS1))
 
+libparallel:
+	(cd ../src_parallel; $(M_K) -f Makefile)
+
 libparameters:
 	(cd ../src_parameters; $(M_K) -f Makefile)
-
-libparallel:
-	(cd ../src_parallel; $(M_K) -f Makefile)
 
 liborglob:
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/AA_make.ldef	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 1.7 2008/01/08 11:49:07 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #-
 #---------------------------------------------------------------------
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/condveg.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/condveg.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/condveg.f90	(revision 257)
@@ -6,7 +6,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.30 $, $Date: 2009/01/07 13:39:45 $
+!! @Version : $Revision: 45 $, $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/condveg.f90,v 1.30 2009/01/07 13:39:45 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/condveg.f90 $
+!< $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 45 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -210,5 +213,5 @@
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in):: veget            !! Vegetation distribution
     REAL(r_std),DIMENSION (kjpindex,2), INTENT (in)  :: lalo             !! Geographical coordinates
-    INTEGER(i_std),DIMENSION (kjpindex,4), INTENT(in):: neighbours       !! neighoring grid points if land
+    INTEGER(i_std),DIMENSION (kjpindex,8), INTENT(in):: neighbours       !! neighoring grid points if land
     REAL(r_std), DIMENSION (kjpindex,2), INTENT(in)  :: resolution       !! size in x an y of the grid (m)
     REAL(r_std),DIMENSION (kjpindex), INTENT(in)     :: contfrac         ! Fraction of land in each grid box.
@@ -663,6 +666,6 @@
       ! snow albedo on vegetated surfaces
       !
-      fraction_veg(:) = 1. - totfrac_nobio(:)
-      snowa_veg(:) = 0.
+      fraction_veg(:) = un - totfrac_nobio(:)
+      snowa_veg(:) = zero
       DO jv = 1, nvm
         DO ji = 1, kjpindex
@@ -1112,5 +1115,5 @@
     ENDDO
     !
-    WHERE ( sumveg(:) .GT. 0.0 ) z0(:) = z0(:) / sumveg(:)
+    WHERE ( sumveg(:) .GT. zero ) z0(:) = z0(:) / sumveg(:)
     !
     z0(:) = (un - totfrac_nobio(:)) * z0(:)
@@ -1166,11 +1169,6 @@
     !
 !!$    DS :Correction 11/02/2011 : update 2D parameters 
-!!$      before the components were updated but not the  parameter itself!
     alb_leaf(1:nvm) = alb_leaf_vis(:)
     alb_leaf(nvm+1:2*nvm) = alb_leaf_nir(:)
-!!$ maybe we could use directly alb_leaf_vis and alb_leaf_nir in alb_leaf_temp
-    !
-!!$    alb_leaf_tmp(:,1) = alb_leaf_vis(:)
-!!$    alb_leaf_tmp(:,2) = alb_leaf_nir(:)
     !
     alb_leaf_tmp(:,1) = alb_leaf(1:nvm)
@@ -1188,5 +1186,5 @@
        !
        ! Correction Nathalie le 12 Avril 2006 - suppression de la dependance en deadleaf_cover
-       !albedo(:,ks) = veget(:,1) * ( (1.-deadleaf_cover(:))*alb_bare(:) + &
+       !albedo(:,ks) = veget(:,1) * ( (un-deadleaf_cover(:))*alb_bare(:) + &
        !                              deadleaf_cover(:)*alb_deadleaf(ks)    )
        albedo(:,ks) = veget(:,1) * alb_bare(:,ks)
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/diffuco.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/diffuco.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/diffuco.f90	(revision 257)
@@ -3,7 +3,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.35 $, $Date: 2010/04/07 09:16:40 $
+!! @Version : $Revision: 42 $, $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/diffuco.f90,v 1.35 2010/04/07 09:16:40 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/diffuco.f90 $
+!< $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 42 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -38,5 +41,4 @@
   !! Nathalie le 28 mars 2006 - sur proposition de Fred Hourdin, ajout
   !! d'un potentiometre pour regler la resistance de la vegetation ( rveg is now in pft_parameters)
-
   ! MM
   REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)      :: wind                     !! Wind norm
@@ -242,5 +244,4 @@
     ! beta coefficient for bare soil
     !
-
     CALL diffuco_bare (kjpindex, dtradia, u, v, q_cdrag, rsol, evap_bare_lim, evapot, humrel, veget, vbeta4) 
 
@@ -744,5 +745,5 @@
                 IF ( zrapp .LT. un ) THEN
                    ! Ajout Nathalie - Juin 2006
-                    vbeta23(ji,jv) = MAX(vbeta2(ji,jv) - vbeta2(ji,jv) * zrapp, 0.)
+                    vbeta23(ji,jv) = MAX(vbeta2(ji,jv) - vbeta2(ji,jv) * zrapp, zero)
                     ! Fin ajout Nathalie
                     vbeta2(ji,jv) = vbeta2(ji,jv) * zrapp
@@ -1004,5 +1005,5 @@
     !
     DO jl = 1, nlai+1
-      laitab(jl) = laimax*(EXP(lai_level_depth*REAL(jl-1,r_std))-1.)/(EXP(lai_level_depth*REAL(nlai,r_std))-1.)
+      laitab(jl) = laimax*(EXP(lai_level_depth*REAL(jl-1,r_std))-1.)/(EXP(lai_level_depth*REAL(nlai,r_std))-un)
     ENDDO
     !
@@ -1100,5 +1101,5 @@
       !
       WHERE ( assimilate(:) )
-        water_lim(:) = MIN( 2.*humrel(:,jv), 1. )
+        water_lim(:) = MIN( 2.*humrel(:,jv), un )
       ENDWHERE
       ! give a default value of ci for all pixel that do not assimilate
@@ -1255,5 +1256,5 @@
           DO ji = 1, kjpindex
             !
-            assimi(ji) = 0.
+            assimi(ji) = zero
             !
           ENDDO
@@ -1288,5 +1289,5 @@
           DO ji = 1, kjpindex
             !
-            assimi(ji) = 0.
+            assimi(ji) = zero
             !
           ENDDO
@@ -1383,5 +1384,5 @@
         IF ( jl .EQ. 1 ) THEN
           !
-          leaf_gs_top(:) = 0.
+          leaf_gs_top(:) = zero
           !
           IF ( nic .GT. 0 ) then
@@ -1437,5 +1438,5 @@
               laitab(ilai(iainia)+1)
           !
-          rveget(iainia,jv) = 1./gstop(iainia)
+          rveget(iainia,jv) = un/gstop(iainia)
           !
         ENDDO
@@ -1448,7 +1449,7 @@
           !
           ! Correction Nathalie - le 27 Mars 2006 - Interdire a rstruct d'etre negatif
-          !rstruct(iainia,jv) = 1./gstot(iainia) - &
+          !rstruct(iainia,jv) = un/gstot(iainia) - &
           !     rveget(iainia,jv)
-          rstruct(iainia,jv) = MAX( 1./gstot(iainia) - &
+          rstruct(iainia,jv) = MAX( un/gstot(iainia) - &
                rveget(iainia,jv), min_sechiba)
           !
@@ -1556,6 +1557,6 @@
     REAL(r_std)                                    :: coeff_dew_veg
 
-    vbeta2sum(:) = 0.
-    vbeta3sum(:) = 0.
+    vbeta2sum(:) = zero
+    vbeta3sum(:) = zero
     DO jv = 1, nvm
       vbeta2sum(:) = vbeta2sum(:) + vbeta2(:,jv)
@@ -1593,9 +1594,9 @@
 
     ! for vectorization: some arrays
-    vegetsum(:) = 0.
+    vegetsum(:) = zero
     DO jv = 1, nvm
       vegetsum(:) = vegetsum(:) + veget(:,jv)
     ENDDO
-    vegetsum2(:) = 0.
+    vegetsum2(:) = zero
     DO jv = 2, nvm
       vegetsum2(:) = vegetsum2(:) + veget(:,jv)
@@ -1667,8 +1668,6 @@
                          & + dew_veg_poly_coeff(2)*lai(ji,jv) &
                          & + dew_veg_poly_coeff(1)
-
-
                  ELSE
-                    coeff_dew_veg=1.
+                    coeff_dew_veg=un
                  ENDIF
               ELSE
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/enerbil.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/enerbil.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/enerbil.f90	(revision 257)
@@ -3,7 +3,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.24 $, $Date: 2009/01/07 13:39:45 $
+!! @Version : $Revision: 47 $, $Date: 2011-01-01 21:34:45 +0100 (Sat, 01 Jan 2011) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/enerbil.f90,v 1.24 2009/01/07 13:39:45 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/enerbil.f90 $
+!< $Date: 2011-01-01 21:34:45 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 47 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -121,16 +124,16 @@
     REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: evapot           !! Soil Potential Evaporation
     REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: evapot_corr !! Soil Potential Evaporation Correction
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: temp_sol         !! Soil temperature
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: qsurf            !! Surface specific humidity
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: fluxsens         !! Sensible chaleur flux
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: fluxlat          !! Latent chaleur flux
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: tsol_rad         !! Tsol_rad
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: vevapp           !! Total of evaporation
+    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (inout) :: gpp              !! Assimilation, gC/m**2 total area.
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)   :: temp_sol_new     !! New soil temperature
     ! output fields
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: fluxsens         !! Sensible chaleur flux
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: fluxlat          !! Latent chaleur flux
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: vevapp           !! Total of evaporation
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: vevapnu          !! Bare soil evaporation
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: vevapsno         !! Snow evaporation
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: tsol_rad         !! Tsol_rad
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: temp_sol_new     !! New soil temperature
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: temp_sol         !! Soil temperature
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: qsurf            !! Surface specific humidity
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: transpir         !! Transpiration
-    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: gpp              !! Assimilation, gC/m**2 total area.
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: vevapwet         !! Interception 
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: t2mdiag          !! 2-meter temperature
@@ -281,5 +284,5 @@
     ! output fields, they need to initialized somehow for the model forcing ORCHIDEE.
     !
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: temp_sol           !! Soil temperature
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)         :: temp_sol           !! Soil temperature
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: temp_sol_new       !! New soil temperature
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: qsurf              !! near surface specific humidity
@@ -423,7 +426,7 @@
         !Config        the model is started without a restart file. 
         !
-        CALL setvar_p (evapot, val_exp, 'ENERBIL_EVAPOT', 0.0_r_std)
+        CALL setvar_p (evapot, val_exp, 'ENERBIL_EVAPOT', zero)
         IF ( ok_var("evapot_corr") ) THEN
-           CALL setvar_p (evapot_corr, val_exp, 'ENERBIL_EVAPOT', 0.0_r_std)
+           CALL setvar_p (evapot_corr, val_exp, 'ENERBIL_EVAPOT', zero)
         ENDIF
         !
@@ -778,4 +781,5 @@
     REAL(r_std)                                     :: correction
     REAL(r_std)                                     :: speed, qc
+    LOGICAL,DIMENSION (kjpindex)                   :: warning_correction
     ! initialisation
 
@@ -840,4 +844,5 @@
 !    grad_qsat(:)= (qsol_sat_new(:)- qsat_air(:)) / ((psnew(:) - epot_air(:)) / cp_air) ! * dtradia
     !- Penser a sortir evapot en meme temps qu'evapot_corr tdo.
+    warning_correction(:)=.FALSE.
     DO ji=1,kjpindex
 
@@ -852,5 +857,5 @@
              correction = chalev0 * rau(ji) * qc * grad_qsat(ji) * (un - vevapp(ji)/evapot(ji)) / correction
           ELSE
-             WRITE(numout,*) "Denominateur de la correction de milly nul! Aucune correction appliquee"
+             warning_correction(ji)=.TRUE.
           ENDIF
        ELSE
@@ -862,5 +867,11 @@
        
     ENDDO
-
+    IF ( ANY(warning_correction) ) THEN
+       DO ji=1,kjpindex
+          IF ( warning_correction(ji) ) THEN
+             WRITE(numout,*) ji,"Denominateur de la correction de milly nul! Aucune correction appliquee"
+          ENDIF
+       ENDDO
+    ENDIF
     IF (long_print) WRITE (numout,*) ' enerbil_flux done '
 
@@ -886,5 +897,5 @@
     REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: evapot           !! Soil Potential Evaporation
     REAL(r_std),DIMENSION (kjpindex, nvm), INTENT (in)       :: humrel           !! Relative humidity
-!!$ DS 15022011 humrel was used in a previuos version of Orchidee, developped by Nathalie. Need to be discussed if it should be introduces again
+!!$ DS 15022011 humrel was used in a previous version of Orchidee, developped by Nathalie. Need to be discussed if it should be introduces again
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)        :: vbeta2           !! Interception resistance
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)        :: vbeta3           !! Vegetation resistance
@@ -969,5 +980,5 @@
     ELSEIF ( control%stomate_watchout ) THEN
 
-      gpp(:,:) = 0.0
+      gpp(:,:) = zero
 
     ENDIF
@@ -1001,5 +1012,5 @@
 
     ! initialisation
-   IF (long_print) WRITE (numout,*) ' enerbil_fusion start ', MINVAL(soilcap), MINLOC(soilcap),&
+    IF (long_print) WRITE (numout,*) ' enerbil_fusion start ', MINVAL(soilcap), MINLOC(soilcap),&
          & MAXVAL(soilcap), MAXLOC(soilcap)
     !
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90	(revision 257)
@@ -3,7 +3,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.36 $, $Date: 2009/01/07 13:39:45 $
+!! @Version : $Revision: 45 $, $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
 !!
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/hydrol.f90,v 1.36 2009/01/07 13:39:45 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/hydrol.f90 $
+!< $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 45 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -224,11 +227,11 @@
     !! We consider that any water on the ice is snow and we only peforme a water balance to have consistency.
     !! The water balance is limite to + or - 10^6 so that accumulation is not endless
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)     :: runoff           !! Complete runoff
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)     :: drainage         !! Drainage
+    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (inout):: shumdiag         !! relative soil moisture
     ! output fields
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: runoff           !! Complete runoff
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: drainage         !! Drainage
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: humrel           !! Relative humidity
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: vegstress        !! Veg. moisture stress (only for vegetation growth)
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: drysoil_frac     !! function of litter wetness
-    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (out):: shumdiag         !! relative soil moisture
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: litterhumdiag    !! litter humidity
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: tot_melt         !! Total melt    
@@ -1082,5 +1085,5 @@
        !
        DO jsl=1,nslm
-          CALL setvar_p (us(:,:,:,jsl), val_exp, 'US_INIT', 0.0_r_std)
+          CALL setvar_p (us(:,:,:,jsl), val_exp, 'US_INIT', zero)
        ENDDO
        !
@@ -1101,5 +1104,5 @@
        !Config        started without a restart file.
        !
-       CALL setvar_p (ae_ns, val_exp, 'EVAPNU_SOIL', 0.0_r_std)
+       CALL setvar_p (ae_ns, val_exp, 'EVAPNU_SOIL', zero)
        !
        !Config Key  = HYDROL_SNOW
@@ -1110,5 +1113,5 @@
        !Config        started without a restart file.
        !
-       CALL setvar_p (snow, val_exp, 'HYDROL_SNOW', 0.0_r_std)
+       CALL setvar_p (snow, val_exp, 'HYDROL_SNOW', zero)
        !
        !Config Key  = HYDROL_SNOWAGE
@@ -1119,5 +1122,5 @@
        !Config        started without a restart file.
        !
-       CALL setvar_p (snow_age, val_exp, 'HYDROL_SNOWAGE', 0.0_r_std)
+       CALL setvar_p (snow_age, val_exp, 'HYDROL_SNOWAGE', zero)
        !
        !Config Key  = HYDROL_SNOW_NOBIO
@@ -1128,5 +1131,5 @@
        !Config        started without a restart file.
        !
-       CALL setvar_p (snow_nobio, val_exp, 'HYDROL_SNOW_NOBIO', 0.0_r_std)
+       CALL setvar_p (snow_nobio, val_exp, 'HYDROL_SNOW_NOBIO', zero)
        !
        !Config Key  = HYDROL_SNOW_NOBIO_AGE
@@ -1137,5 +1140,5 @@
        !Config        started without a restart file.
        !
-       CALL setvar_p (snow_nobio_age, val_exp, 'HYDROL_SNOW_NOBIO_AGE', 0.0_r_std)
+       CALL setvar_p (snow_nobio_age, val_exp, 'HYDROL_SNOW_NOBIO_AGE', zero)
        !
        !
@@ -1148,5 +1151,5 @@
        !Config        the model is started without a restart file. 
        !
-       CALL setvar_p (qsintveg, val_exp, 'HYDROL_QSV', 0.0_r_std)
+       CALL setvar_p (qsintveg, val_exp, 'HYDROL_QSV', zero)
        !
        ! There is no need to configure the initialisation of resdist. If not available it is the vegetation map
@@ -1717,5 +1720,5 @@
           IF (snow(ji).GT.sneige) THEN
              !
-             snowmelt(ji) = (1. - frac_nobio(ji,iice))*(temp_sol_new(ji) - tp_00) * soilcap(ji) / chalfu0
+             snowmelt(ji) = (un - frac_nobio(ji,iice))*(temp_sol_new(ji) - tp_00) * soilcap(ji) / chalfu0
              !
              ! 1.3.1.1 enough snow for melting or not
@@ -1890,5 +1893,4 @@
     REAL(r_std), DIMENSION (kjpindex,nvm)          :: zqsintvegnew
     LOGICAL, SAVE                                  :: firstcall=.TRUE.
-!    REAL(r_std), SAVE, DIMENSION(nvm)              :: throughfall_by_pft
 
     IF ( firstcall ) THEN
@@ -2078,5 +2080,5 @@
     DO jv = 1, nvm
       DO ji = 1, kjpindex
-         IF ( ABS(qsintveg(ji,jv)) > 0. .AND. ABS(qsintveg(ji,jv)) < EPS1 ) THEN
+         IF ( ABS(qsintveg(ji,jv)) > zero .AND. ABS(qsintveg(ji,jv)) < EPS1 ) THEN
             qsintveg(ji,jv) = EPS1
          ENDIF
